package com.kingdee.eas.custom.compensation.basedata;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class ViolationTypeCollection extends AbstractObjectCollection 
{
    public ViolationTypeCollection()
    {
        super(ViolationTypeInfo.class);
    }
    public boolean add(ViolationTypeInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(ViolationTypeCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(ViolationTypeInfo item)
    {
        return removeObject(item);
    }
    public ViolationTypeInfo get(int index)
    {
        return(ViolationTypeInfo)getObject(index);
    }
    public ViolationTypeInfo get(Object key)
    {
        return(ViolationTypeInfo)getObject(key);
    }
    public void set(int index, ViolationTypeInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(ViolationTypeInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(ViolationTypeInfo item)
    {
        return super.indexOf(item);
    }
}